Copy for LLM[View as Markdown](https://docs.planet.com/develop/apis/batch-processing/reference/) # Batch Processing API Reference * BatchV2 API * Process * postSubmit new batch processing request * getQuery batch process requests * getRetrieve a single batch process task by ID * putUpdate a batch process request * postRequest analysis of a batch process request * postStart (confirm) processing of a batch process request * postStop a batch process request * Tiling grid * getGet properties of all supported tiling grids * getGet properties of a single tiling grid [API docs by Redocly](https://redocly.com/redoc/) # API Reference (1.0.0) Download OpenAPI specification:[Download](https://docs.planet.com/redocusaurus/sh-prod-batchv2-api-spec.yaml) ## [](#tag/batch_v2_process)Process ## [](#tag/batch_v2_process/operation/createNewBatchV2ProcessingRequest)Submit new batch processing request ##### Authorizations: *OAuth2* ##### Request Body schema:application/jsonapplication/json | | | | ---------------------- | ---------------------------------------------------------------------------------------------------------- | | processRequestrequired | object (ProcessRequestForBatchV2)Batch processing equivalent of the [Process request](#operation/process). | | inputrequired | GeoPackageInput (object) or TilingGridInput (object) (BatchV2ProcessInput) | | outputrequired | RasterOutput (object) or ZarrOutput (object) (BatchV2ProcessOutput) | | description | stringOptional description that can be used to keep track of requests | ### Responses **201** Request submitted **400** Bad request **401** Unauthorized **403** Insufficient permissions post/batch/v2/process https\://services.sentinel-hub.com/batch/v2/process ### Request samples * Payload Content type application/jsonapplication/json Copy Expand all Collapse all `{ "processRequest": { "input": { "bounds": { "bbox": [ 13.822174072265625, 45.85080395917834, 14.55963134765625, 46.29191774991382 ], "geometry": { "type": "Polygon", "coordinates": [ [ [ 14.000701904296873, 46.23685258143992 ], [ 13.822174072265625, 46.09037664604301 ], [ 14.113311767578125, 45.85080395917834 ], [ 14.55963134765625, 46.038922598236 ], [ 14.441528320312498, 46.28717293114449 ], [ 14.17236328125, 46.29191774991382 ], [ 14.000701904296873, 46.23685258143992 ] ] ] }, "properties": { "crs": "http://www.opengis.net/def/crs/OGC/1.3/CRS84" } }, "data": [ { "type": "sentinel-2-l1c", "id": "string", "dataFilter": { "timeRange": { "from": "2018-10-01T00:00:00.000Z", "to": "2018-11-01T00:00:00.000Z" }, "mosaickingOrder": "mostRecent", "maxCloudCoverage": 100 }, "processing": { "upsampling": "NEAREST", "downsampling": "NEAREST", "harmonizeValues": true } } ] }, "output": { "responses": [ { "identifier": "", "format": { "type": "image/tiff" } } ] }, "evalscript": "string" }, "input": { "type": "geopackage", "features": { "s3": { "url": "string", "iamRoleARN": "string", "accessKey": "string", "secretAccessKey": "string", "region": "string" } }, "defaults": { "width": 512, "height": 512, "resolution": 0.1 } }, "output": { "type": "raster", "delivery": { "s3": { "url": "string", "iamRoleARN": "string", "accessKey": "string", "secretAccessKey": "string", "region": "string" } }, "overwrite": false, "skipExisting": false, "cogOutput": false, "cogParameters": { "overviewLevels": [ 0 ], "overviewMinSize": 0, "resamplingAlgorithm": "nearest", "blockxsize": 256, "blockysize": 256, "usePredictor": true }, "createCollection": false, "collectionId": "string" }, "description": "string" }` ### Response samples * 201 * 400 Content type application/json Copy Expand all Collapse all `{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "request": { "processRequest": { "input": { "bounds": { "bbox": [ 13.822174072265625, 45.85080395917834, 14.55963134765625, 46.29191774991382 ], "geometry": { "type": "Polygon", "coordinates": [ [ [ 14.000701904296873, 46.23685258143992 ], [ 13.822174072265625, 46.09037664604301 ], [ 14.113311767578125, 45.85080395917834 ], [ 14.55963134765625, 46.038922598236 ], [ 14.441528320312498, 46.28717293114449 ], [ 14.17236328125, 46.29191774991382 ], [ 14.000701904296873, 46.23685258143992 ] ] ] }, "properties": { "crs": "http://www.opengis.net/def/crs/OGC/1.3/CRS84" } }, "data": [ { "type": "sentinel-2-l1c", "id": "string", "dataFilter": { "timeRange": { "from": "2018-10-01T00:00:00.000Z", "to": "2018-11-01T00:00:00.000Z" }, "mosaickingOrder": "mostRecent", "maxCloudCoverage": 100 }, "processing": { "upsampling": "NEAREST", "downsampling": "NEAREST", "harmonizeValues": true } } ] }, "output": { "responses": [ { "identifier": "", "format": { "type": "image/tiff" } } ] }, "evalscript": "string" }, "input": { "type": "geopackage", "features": { "s3": { "url": "string", "iamRoleARN": "string", "accessKey": "string", "secretAccessKey": "string", "region": "string" } }, "defaults": { "width": 512, "height": 512, "resolution": 0.1 } }, "output": { "type": "raster", "delivery": { "s3": { "url": "string", "iamRoleARN": "string", "accessKey": "string", "secretAccessKey": "string", "region": "string" } }, "overwrite": false, "skipExisting": false, "cogOutput": false, "cogParameters": { "overviewLevels": [ 0 ], "overviewMinSize": 0, "resamplingAlgorithm": "nearest", "blockxsize": 256, "blockysize": 256, "usePredictor": true }, "createCollection": false, "collectionId": "string" }, "description": "string" }, "domainAccountId": "4e1699b2-af74-455a-818d-6f1ec31a6d19", "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c", "status": "CREATED", "error": "string", "userAction": "NONE", "userActionUpdated": "2019-08-24T14:15:22Z", "created": "2019-08-24T14:15:22Z", "completionPercentage": 0, "lastUpdated": "2019-08-24T14:15:22Z", "costPU": 0, "costMC": 0, "stoppedStatusReason": "OUT_OF_PU" }` ## [](#tag/batch_v2_process/operation/getAllBatchV2ProcessRequests)Query batch process requests ##### Authorizations: *OAuth2* ##### query Parameters | | | | --------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | count | integer \Upper limit to the number of items to retrieve. It cannot be larger than the endpoint-specific limit. If omitted, the endpoint-specific limit is used. For more records, use *viewtoken* to page through. | | viewtoken | stringWhen the total number of items is larger than *count*, the response contains *viewtoken*. This *viewtoken* can be used in the next request to retrieve the next page of items.The next page can be retrieved by repeating the query. However, replace your URL with the next URL in the returned links object. | | sort | stringEnum: "created" "created:desc" "status" "status:desc"Sort the batch process requests by given field. Omit for default ordering. | ### Responses **200** Successful response **401** Unauthorized **403** Insufficient permissions get/batch/v2/process https\://services.sentinel-hub.com/batch/v2/process ### Response samples * 200 Content type application/json Copy Expand all Collapse all `{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "request": { "processRequest": { "input": { "bounds": { "bbox": [ 13.822174072265625, 45.85080395917834, 14.55963134765625, 46.29191774991382 ], "geometry": { "type": "Polygon", "coordinates": [ [ [ 14.000701904296873, 46.23685258143992 ], [ 13.822174072265625, 46.09037664604301 ], [ 14.113311767578125, 45.85080395917834 ], [ 14.55963134765625, 46.038922598236 ], [ 14.441528320312498, 46.28717293114449 ], [ 14.17236328125, 46.29191774991382 ], [ 14.000701904296873, 46.23685258143992 ] ] ] }, "properties": { "crs": "http://www.opengis.net/def/crs/OGC/1.3/CRS84" } }, "data": [ { "type": "sentinel-2-l1c", "id": "string", "dataFilter": { "timeRange": { "from": "2018-10-01T00:00:00.000Z", "to": "2018-11-01T00:00:00.000Z" }, "mosaickingOrder": "mostRecent", "maxCloudCoverage": 100 }, "processing": { "upsampling": "NEAREST", "downsampling": "NEAREST", "harmonizeValues": true } } ] }, "output": { "responses": [ { "identifier": "", "format": { "type": "image/tiff" } } ] }, "evalscript": "string" }, "input": { "type": "geopackage", "features": { "s3": { "url": "string", "iamRoleARN": "string", "accessKey": "string", "secretAccessKey": "string", "region": "string" } }, "defaults": { "width": 512, "height": 512, "resolution": 0.1 } }, "output": { "type": "raster", "delivery": { "s3": { "url": "string", "iamRoleARN": "string", "accessKey": "string", "secretAccessKey": "string", "region": "string" } }, "overwrite": false, "skipExisting": false, "cogOutput": false, "cogParameters": { "overviewLevels": [ 0 ], "overviewMinSize": 0, "resamplingAlgorithm": "nearest", "blockxsize": 256, "blockysize": 256, "usePredictor": true }, "createCollection": false, "collectionId": "string" }, "description": "string" }, "domainAccountId": "4e1699b2-af74-455a-818d-6f1ec31a6d19", "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c", "status": "CREATED", "error": "string", "userAction": "NONE", "userActionUpdated": "2019-08-24T14:15:22Z", "created": "2019-08-24T14:15:22Z", "completionPercentage": 0, "lastUpdated": "2019-08-24T14:15:22Z", "costPU": 0, "costMC": 0, "stoppedStatusReason": "OUT_OF_PU" } ], "links": { "currentToken": "string", "nextToken": "string", "previousToken": "string", "@id": "http://example.com", "next": "http://example.com", "previous": "http://example.com" } }` ## [](#tag/batch_v2_process/operation/getSingleBatchV2ProcessTaskById)Retrieve a single batch process task by ID ##### Authorizations: *OAuth2* ##### path Parameters | | | | -------------- | --------------------- | | taskIdrequired | string \Task ID | ### Responses **200** Successful response **401** Unauthorized **403** Insufficient permissions **404** Not found get/batch/v2/process/{taskId} https\://services.sentinel-hub.com/batch/v2/process/{taskId} ### Response samples * 200 * 404 Content type application/json Copy Expand all Collapse all `{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "request": { "processRequest": { "input": { "bounds": { "bbox": [ 13.822174072265625, 45.85080395917834, 14.55963134765625, 46.29191774991382 ], "geometry": { "type": "Polygon", "coordinates": [ [ [ 14.000701904296873, 46.23685258143992 ], [ 13.822174072265625, 46.09037664604301 ], [ 14.113311767578125, 45.85080395917834 ], [ 14.55963134765625, 46.038922598236 ], [ 14.441528320312498, 46.28717293114449 ], [ 14.17236328125, 46.29191774991382 ], [ 14.000701904296873, 46.23685258143992 ] ] ] }, "properties": { "crs": "http://www.opengis.net/def/crs/OGC/1.3/CRS84" } }, "data": [ { "type": "sentinel-2-l1c", "id": "string", "dataFilter": { "timeRange": { "from": "2018-10-01T00:00:00.000Z", "to": "2018-11-01T00:00:00.000Z" }, "mosaickingOrder": "mostRecent", "maxCloudCoverage": 100 }, "processing": { "upsampling": "NEAREST", "downsampling": "NEAREST", "harmonizeValues": true } } ] }, "output": { "responses": [ { "identifier": "", "format": { "type": "image/tiff" } } ] }, "evalscript": "string" }, "input": { "type": "geopackage", "features": { "s3": { "url": "string", "iamRoleARN": "string", "accessKey": "string", "secretAccessKey": "string", "region": "string" } }, "defaults": { "width": 512, "height": 512, "resolution": 0.1 } }, "output": { "type": "raster", "delivery": { "s3": { "url": "string", "iamRoleARN": "string", "accessKey": "string", "secretAccessKey": "string", "region": "string" } }, "overwrite": false, "skipExisting": false, "cogOutput": false, "cogParameters": { "overviewLevels": [ 0 ], "overviewMinSize": 0, "resamplingAlgorithm": "nearest", "blockxsize": 256, "blockysize": 256, "usePredictor": true }, "createCollection": false, "collectionId": "string" }, "description": "string" }, "domainAccountId": "4e1699b2-af74-455a-818d-6f1ec31a6d19", "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c", "status": "CREATED", "error": "string", "userAction": "NONE", "userActionUpdated": "2019-08-24T14:15:22Z", "created": "2019-08-24T14:15:22Z", "completionPercentage": 0, "lastUpdated": "2019-08-24T14:15:22Z", "costPU": 0, "costMC": 0, "stoppedStatusReason": "OUT_OF_PU" }` ## [](#tag/batch_v2_process/operation/updateBatchV2ProcessRequest)Update a batch process request Only the requests that are not currently being processed nor waiting to be processed can be updated. ##### Authorizations: *OAuth2* ##### path Parameters | | | | -------------- | --------------------- | | taskIdrequired | string \Task ID | ##### Request Body schema: application/json | | | | ----------- | ----------------------------------------------------------------------------------------------------------------------- | | description | stringOptional description that can be used to keep track of requests. If omitted, the description will not be changed. | ### Responses **200** Successful response **400** Unauthorized **401** Unauthorized **403** Insufficient permissions **404** Not found **409** Conflict in the request put/batch/v2/process/{taskId} https\://services.sentinel-hub.com/batch/v2/process/{taskId} ### Request samples * Payload Content type application/json Copy `{ "description": "string" }` ### Response samples * 200 * 404 * 409 Content type application/json Copy Expand all Collapse all `{ "processRequest": { "input": { "bounds": { "bbox": [ 13.822174072265625, 45.85080395917834, 14.55963134765625, 46.29191774991382 ], "geometry": { "type": "Polygon", "coordinates": [ [ [ 14.000701904296873, 46.23685258143992 ], [ 13.822174072265625, 46.09037664604301 ], [ 14.113311767578125, 45.85080395917834 ], [ 14.55963134765625, 46.038922598236 ], [ 14.441528320312498, 46.28717293114449 ], [ 14.17236328125, 46.29191774991382 ], [ 14.000701904296873, 46.23685258143992 ] ] ] }, "properties": { "crs": "http://www.opengis.net/def/crs/OGC/1.3/CRS84" } }, "data": [ { "type": "sentinel-2-l1c", "id": "string", "dataFilter": { "timeRange": { "from": "2018-10-01T00:00:00.000Z", "to": "2018-11-01T00:00:00.000Z" }, "mosaickingOrder": "mostRecent", "maxCloudCoverage": 100 }, "processing": { "upsampling": "NEAREST", "downsampling": "NEAREST", "harmonizeValues": true } } ] }, "output": { "responses": [ { "identifier": "", "format": { "type": "image/tiff" } } ] }, "evalscript": "string" }, "input": { "type": "geopackage", "features": { "s3": { "url": "string", "iamRoleARN": "string", "accessKey": "string", "secretAccessKey": "string", "region": "string" } }, "defaults": { "width": 512, "height": 512, "resolution": 0.1 } }, "output": { "type": "raster", "delivery": { "s3": { "url": "string", "iamRoleARN": "string", "accessKey": "string", "secretAccessKey": "string", "region": "string" } }, "overwrite": false, "skipExisting": false, "cogOutput": false, "cogParameters": { "overviewLevels": [ 0 ], "overviewMinSize": 0, "resamplingAlgorithm": "nearest", "blockxsize": 256, "blockysize": 256, "usePredictor": true }, "createCollection": false, "collectionId": "string" }, "description": "string" }` ## [](#tag/batch_v2_process/operation/batchV2Analyse)Request analysis of a batch process request ##### Authorizations: *OAuth2* ##### path Parameters | | | | -------------- | --------------------- | | taskIdrequired | string \Task ID | ### Responses **204** Success **400** Bad request **401** Unauthorized **403** Insufficient permissions **404** Not found post/batch/v2/process/{taskId}/analyse https\://services.sentinel-hub.com/batch/v2/process/{taskId}/analyse ### Response samples * 400 * 404 Content type application/json Copy Expand all Collapse all `{ "error": { "status": 0, "reason": "string", "message": "string", "code": "COMMON_BAD_PAYLOAD", "errors": { } } }` ## [](#tag/batch_v2_process/operation/batchV2StartProcessRequest)Start (confirm) processing of a batch process request ##### Authorizations: *OAuth2* ##### path Parameters | | | | -------------- | --------------------- | | taskIdrequired | string \Task ID | ### Responses **204** Success **400** Bad request **401** Unauthorized **403** Insufficient permissions **404** Not found post/batch/v2/process/{taskId}/start https\://services.sentinel-hub.com/batch/v2/process/{taskId}/start ### Response samples * 400 * 404 Content type application/json Copy Expand all Collapse all `{ "error": { "status": 0, "reason": "string", "message": "string", "code": "COMMON_BAD_PAYLOAD", "errors": { } } }` ## [](#tag/batch_v2_process/operation/batchV2StopProcessRequest)Stop a batch process request ##### Authorizations: *OAuth2* ##### path Parameters | | | | -------------- | --------------------- | | taskIdrequired | string \Task ID | ### Responses **204** Success **400** Bad request **401** Unauthorized **403** Insufficient permissions **404** Not found post/batch/v2/process/{taskId}/stop https\://services.sentinel-hub.com/batch/v2/process/{taskId}/stop ### Response samples * 400 * 404 Content type application/json Copy Expand all Collapse all `{ "error": { "status": 0, "reason": "string", "message": "string", "code": "COMMON_BAD_PAYLOAD", "errors": { } } }` ## [](#tag/batch_v2_tiling_grid)Tiling grid ## [](#tag/batch_v2_tiling_grid/operation/getBatchV2TilingGridsProperties)Get properties of all supported tiling grids ##### Authorizations: *OAuth2* ##### query Parameters | | | | --------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | count | integer \Upper limit to the number of items to retrieve. It cannot be larger than the endpoint-specific limit. If omitted, the endpoint-specific limit is used. For more records, use *viewtoken* to page through. | | viewtoken | stringWhen the total number of items is larger than *count*, the response contains *viewtoken*. This *viewtoken* can be used in the next request to retrieve the next page of items.The next page can be retrieved by repeating the query. However, replace your URL with the next URL in the returned links object. | ### Responses **200** Successful response **401** Unauthorized get/batch/v2/tilinggrids https\://services.sentinel-hub.com/batch/v2/tilinggrids ### Response samples * 200 Content type application/json Copy Expand all Collapse all `{ "data": [ { "id": 0, "name": "string", "properties": { "tileWidth": 0.1, "tileHeight": 0.1, "resolutions": [ 0.1 ], "unit": "METRE" } } ], "links": { "currentToken": "string", "nextToken": "string", "previousToken": "string", "@id": "http://example.com", "next": "http://example.com", "previous": "http://example.com" } }` ## [](#tag/batch_v2_tiling_grid/operation/getBatchV2TilingGridProperties)Get properties of a single tiling grid ##### Authorizations: *OAuth2* ##### path Parameters | | | | ---------- | ------------------------------ | | idrequired | integer \Tilinggrids ID | ### Responses **200** Successful response **400** Bad request **401** Unauthorized get/batch/v2/tilinggrids/{id} https\://services.sentinel-hub.com/batch/v2/tilinggrids/{id} ### Response samples * 200 * 400 Content type application/json Copy Expand all Collapse all `{ "id": 0, "name": "string", "properties": { "tileWidth": 0.1, "tileHeight": 0.1, "resolutions": [ 0.1 ], "unit": "METRE" } }`